org.apache.xmlbeans.impl.xb.ltgfmt

## Interface FileDesc.Role

All Superinterfaces:
  XmlAnySimpleType, XmlNormalizedString, XmlObject, XmlString, XmlToken, XmlTokenSource

All Known Implementing Classes:
  FileDescImpl.RoleImpl

Enclosing interface:
  FileDesc

    public static interface FileDesc.Role
    extends XmlToken

An XML role(@). This is an atomic type that is a restriction of org.apache.xmlbeans.impl.xb.ltgfmt.FileDesc$Role.

### Nested Class Summary

Nested Classes
`static class` `FileDesc.Role.Enum` Enumeration value class for org.apache.xmlbeans.impl.xb.ltgfmt.FileDesc$Role.

### Field Summary

Fields
`static ElementFactory<FileDesc.Role>` `Factory`
`static FileDesc.Role.Enum` `INSTANCE`
`static int` `INT_INSTANCE`
`static int` `INT_RESOURCE`
`static int` `INT_SCHEMA`
`static FileDesc.Role.Enum` `RESOURCE`
`static FileDesc.Role.Enum` `SCHEMA`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`StringEnumAbstractBase` `getEnumValue()`
`void` `setEnumValue(StringEnumAbstractBase e)`

### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

`getStringValue, setStringValue`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final ElementFactory<FileDesc.Role> Factory

#### type

    static final SchemaType type

#### SCHEMA

    static final FileDesc.Role.Enum SCHEMA

#### INSTANCE

    static final FileDesc.Role.Enum INSTANCE

#### RESOURCE

    static final FileDesc.Role.Enum RESOURCE

#### INT_SCHEMA

    static final int INT_SCHEMA

See Also:
  Constant Field Values

#### INT_INSTANCE

    static final int INT_INSTANCE

See Also:
  Constant Field Values

#### INT_RESOURCE

    static final int INT_RESOURCE

See Also:
  Constant Field Values

### Method Detail

#### getEnumValue

    StringEnumAbstractBase getEnumValue()

#### setEnumValue

    void setEnumValue(StringEnumAbstractBase e)